
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script src="https://cdn.agora.io/sdk/release/AgoraRTCSDK-3.2.1.js">
</script>

<script>
    console.log("this works");
    let rtc = {
        client: null,
        joined: false,
        published: false,
        localStream: null,
        remoteStreams: [],
        params: {}
    };

    // Options for joining a channel
    const option = {
        appID: "83783a5c206144b193f95c131292c8f4",
        channel: "imarandomidreplaceme",
        uid: null,
        token: null
    };
    rtc.client = AgoraRTC.createClient({mode: "rtc", codec: "h264"});

    // Initialize the client
    rtc.client.init(option.appID, function () {
        console.log("init success");
    }, (err) => {
        console.error(err);
    });

    rtc.client.join(option.token, option.channel, option.uid, function (uid) {
        console.log("join channel: " + option.channel + " success, uid: " + uid);
        rtc.params.uid = uid;
    }, function(err) {
        console.error("client join failed", err);
    });

    rtc.localStream = AgoraRTC.createStream({
        streamID: rtc.params.uid,
        audio: true,
        video: false,
        screen: false,
    });
    rtc.localStream.init(function () {
        console.log("init local stream success");
        rtc.client.publish(rtc.localStream, function (err) {
            console.log("publish failed");
            console.error(err);
        });
        console.log(rtc.remoteStreams)
    }, function (err) {
        console.error("init local stream failed ", err);
    });



    rtc.client.on("stream-added", function (evt) {
        console.log("stream added")
        var remoteStream = evt.stream;
        var id = remoteStream.getId();
        if (id !== rtc.params.uid) {
            rtc.client.subscribe(remoteStream, function (err) {
                console.log("stream subscribe failed", err);
            });
        }
        console.log("stream-added remote-uid: ", id);
    });
    // rtc.client.on("stream-subscribed", function (evt) {
    //     var remoteStream = evt.stream;
    //     var id = remoteStream.getId();
    //     // Add a view for the remote stream.
    //     console.log("Audio stream is ",remoteStream.audio);
    //     console.log("stream-subscribed remote-uid: ", id);
    // });
</script>

</body>
</html>